// create a PImage array with 4 picture
PImage[] img = new PImage[4];

int imgFrame;
 
void setup () {
  
  size (125, 153);
  
  // set the index for the animation to 0
  imgFrame = 0;
 
  // load all images
  for(int i = 0; i < img.length; i++){
    img[i] = loadImage ("img_" + i + ".jpg");
  }
}
 
void draw () {
  // draw a new image every 10th loop
  if(frameCount % 10 == 0) {
    // after all images shown, set back the animation to the beginning
    if (imgFrame >= img.length) {
      imgFrame = 0;
    }
    
    // show the the image from the array at the right index
    image (img[imgFrame], 0, 0);
   
    // increase the index 
    imgFrame++;
  }
}
